package pozdravy;

import java.util.Scanner;

/**
 * Je přečten znak a v závislosti na zadaném znaku se vypíše pozdrav v různých
 * jazycích: Jazyk zadaný znak pozdrav česky c „AHOJ“, německy g „HALLO“,
 * francouzsky f „SALUT“, španělsky s „HOLA“. Není-li zadán jazyk (je-li zadán
 * jiný znak), vypíše se text anglicky „HELLO“.
 *
 * @author lsroubov
 */
public class Pozdravy {

    public static void pozdravZnakChar(char znak) {
        switch (znak) {
            case 'c':
                System.out.println("AHOJ");
                break;
            case 'g':
                System.out.println("HALLO");
                break;
            case 'f':
                System.out.println("SALUT");
                break;
            case 's':
                System.out.println("HOLA");
                break;
            default:
                System.out.println("HELLO");
                break;
        }
    }

    public static void pozdravZnakString(String znak) {
        switch (znak) {
            case "c":
                System.out.println("AHOJ");
                break;
            case "g":
                System.out.println("HALLO");
                break;
            case "f":
                System.out.println("SALUT");
                break;
            case "s":
                System.out.println("HOLA");
                break;
            default:
                System.out.println("HELLO");
                break;
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        System.out.println("Zadej jayzk: ");

        char znak = sc.next().charAt(0);
        pozdravZnakChar(znak);

        System.out.println("Zadej jayzk: ");

        String jinyZnak = sc.next();
        pozdravZnakString(jinyZnak);
    }

}
